package com.mx.dla.dda.admin.catalogos.grupoestudio.daos;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.mx.dla.dda.admin.catalogos.grupoestudio.dtos.GrupoEstudioDTO;

public interface GrupoEstudioDAO {
	public List<GrupoEstudioDTO> obtenerGrupoEstudio();
	public GrupoEstudioDTO obtenerGrupo(@Param("idGrupo") Long idGrupo);
	public void registrarGrupoEstudio(GrupoEstudioDTO grupo);
	public void actualizaGrupoEstudio(GrupoEstudioDTO grupo);
	public GrupoEstudioDTO obtenerGrupoEstudioInactivoByEstudio(@Param("idEstudio") Long idEstudio);
}
